#ifndef ANOMALY_CEDT030_CEDT017
#define ANOMALY_CEDT030_CEDT017
#endif
#ifndef ANOMALY_CEDT017_CEDTTXT
#define ANOMALY_CEDT017_CEDTTXT
#endif
#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA674_F31E_F31J_X31J_P31J
extern unsigned char* F7337_(int P3623_i_TextColor, int P3624_i_BackgroundColor); /* Parameters wrongly defined as int instead of int16_t */


void F7338_(char* P3626_pc_Bitmap, int16_t P3627_i_Width, int16_t P3628_i_, int16_t P3629_i_, int16_t P3630_i_TextColor, int16_t P3631_i_BackgroundColor, REGISTER unsigned char* P3632_puc_, int16_t P3633_i_)
{
#ifdef MEDIA692_X31J
        register char* L6062_pc_;
#endif
#ifdef MEDIA671_F31E_F31J_P31J
        int16_t L4140_i_X;
#endif
        unsigned char* L4138_puc_Bitmap;
#ifdef MEDIA692_X31J
        int16_t L4140_i_X;
        int16_t L5972_;
#endif
        int16_t L4139_ai_Box[4];
#ifdef MEDIA692_X31J
        register int16_t L5973_i_Unreferenced;
        char L6065_ac_Unreferenced[8];
#endif


        if (*P3632_puc_) {
#ifdef MEDIA692_X31J
                if (P3631_i_BackgroundColor & 0x4000) {
                        M009_CLEAR(P3631_i_BackgroundColor, 0x4000);
                        L5972_ = P3631_i_BackgroundColor;
                } else {
                        L5972_ = -1;
                }
#endif
                M768_BOX_LEFT(L4139_ai_Box) = P3628_i_;
                M771_BOX_BOTTOM(L4139_ai_Box) = P3629_i_;
                M771_BOX_BOTTOM(L4139_ai_Box) += G7091_;
                M770_BOX_TOP(L4139_ai_Box) = M771_BOX_BOTTOM(L4139_ai_Box) - (G7093_ - G7091_);
                L4138_puc_Bitmap = F7337_(P3630_i_TextColor, P3631_i_BackgroundColor);
                do {
                        L4140_i_X = ((*P3632_puc_ - 32) * 8) + (8 - G7092_);
                        M769_BOX_RIGHT(L4139_ai_Box) = M768_BOX_LEFT(L4139_ai_Box) + G7092_;
                        F7330_DrawBitmap(L4138_puc_Bitmap, M774_CAST_PUC(P3626_pc_Bitmap), L4139_ai_Box, L4140_i_X, 0, 560, P3627_i_Width, CM1_COLOR_NO_TRANSPARENCY, 0, 0);
                        M768_BOX_LEFT(L4139_ai_Box) += G7094_;
                        P3632_puc_++;
                } while (*P3632_puc_);
        }
}
#endif
